# olympusmn.hpp File Reference

Olympus MakerNote implemented using the following references: Exif file format, Appendix 1: MakerNote of Olympus Digicams by TsuruZoh Tachibanaya, Olympus.pm of ExifTool by Phil Harvey, Olympus Makernote Format Specification by Evan Hunter, email communication with Will Stokes. More...

`#include "types.hpp"`
`#include "makernote.hpp"`
`#include "tags.hpp"`
`#include <string>`
`#include <iosfwd>`
`#include <memory>`

Include dependency graph for olympusmn.hpp:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | Exiv2

## Classes

class | Exiv2::OlympusMakerNote
| MakerNote for Olympus cameras. More...

## Functions

MakerNote::AutoPtr | Exiv2::createOlympusMakerNote (bool alloc, const byte *buf, long len, ByteOrder byteOrder, long offset)
| Return an auto-pointer to a newly created empty MakerNote initialized to operate in the memory management model indicated. The caller owns this copy and the auto-pointer ensures that it will be deleted.

## Detailed Description

Olympus MakerNote implemented using the following references: Exif file format, Appendix 1: MakerNote of Olympus Digicams by TsuruZoh Tachibanaya, Olympus.pm of ExifTool by Phil Harvey, Olympus Makernote Format Specification by Evan Hunter, email communication with Will Stokes.

Version:
  Rev
    580

Author:
  Andreas Huggel (ahu) ahuggel@gmx.net

  Will Stokes (wuz) wstokes@gmail.com

Date:
  10-Mar-05, wuz: created